Subject: Re: co-linux
From: Alejandro Lopez-Valencia <[email-masked]>
To: [email-masked]
Date: Wed, 14 Apr 2004 20:52:24 -0500

On Wed, 14 Apr 2004 14:34:09 -0400, Sam Steingold wrote in
<[email-masked]>:

>This is confusing.
>Unix is a class of OSes.
>Linux is an instance of that class.
>The syntax of your sentence implies that, when you say Unix, you mean
>an instance, not the class.  Which instance?  SCO UNIX?  AIX?  Solaris?
>HP-UX?  Apparently SCO (the others do not have `Unix' in the name).

Linux is not an instance of Unix, but rather a Unix-like kernel/OS
distribution, originally conceived as a clone of Minix with a decent
filesystem[1]. Nobody in his right mind would call Minix a Unix, would
it? It is a clone, plain and simple, in the same sense that QNX can
look and feel like plain vanilla Unix. 

Now... Free/Open/NetBSD *are* Unix because the kernels in them share a
common origin in the BSD 4.4 Net tape, which itself originated as
modifications of ATT System 7 and System V source code licensed to UCB
(the history is far more convoluted, but you get the picture).

[1] 

> From:	    [email-masked] (Linus Benedict Torvalds)
> Newsgroups: comp.os.minix
> Subject:    What would you like to see most in minix?
> Date:	    25 Aug 91 20:57:08 GMT
> 
> 
> Hello everybody out there using minix -
> 
> I'm doing a (free) operating system (just a hobby, won't be big and
> professional like gnu) for 386(486) AT clones.  This has been brewing
> since april, and is starting to get ready.  I'd like any feedback on
> things people like/dislike in minix, as my OS resembles it somewhat
> (same physical layout of the file-system (due to practical reasons)
> among other things).
> 
> I've currently ported bash(1.08) and gcc(1.40), and things seem to work.
> This implies that I'll get something practical within a few months, and
> I'd like to know what features most people would want.  Any suggestions
> are welcome, but I won't promise I'll implement them :-)
> 
>               Linus ([email-masked])
> 
> PS.  Yes - it's free of any minix code, and it has a multi-threaded fs.
> It is NOT protable (uses 386 task switching etc), and it probably never
> will support anything other than AT-harddisks, as that's all I have :-(.

-- 
Alejandro López-Valencia
http://dradul.tripod.com/
The limits of my language are the limits of my world.
                                    (L. Wittgenstein)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/